Package org.eclipse.graphiti.features.context.impl

## Class SplitConnectionContext

- java.lang.Object
- - org.eclipse.graphiti.PropertyBag
  - - org.eclipse.graphiti.internal.features.context.impl.base.DefaultContext
    - - org.eclipse.graphiti.features.context.impl.SplitConnectionContext

All Implemented Interfaces:
  `IContext`, `ISplitConnectionContext`, `IPropertyBag`

    public class SplitConnectionContext
    extends DefaultContext
    implements ISplitConnectionContext

The Class SplitConnectionContext.

### Constructor Summary

Constructors
`SplitConnectionContext​(Connection connection, Shape shape)` Creates a new `SplitConnectionContext`.

### Method Summary

All Methods Instance Methods Concrete Methods
`Connection` `getConnection()` Gets the connection.
`Shape` `getShape()` Gets the shape.
`java.lang.String` `toString()`

### Methods inherited from class org.eclipse.graphiti.PropertyBag

`getProperty, getPropertyKeys, putProperty`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.graphiti.IPropertyBag

`getProperty, getPropertyKeys, putProperty`

### Constructor Detail

#### SplitConnectionContext

    public SplitConnectionContext​(Connection connection,
                                  Shape shape)

Creates a new `SplitConnectionContext`.

Parameters:
  `connection` - the connection
  `shape` - the shape

### Method Detail

#### getConnection

    public Connection getConnection()

Description copied from interface: `ISplitConnectionContext`
Gets the connection.

Specified by:
  `getConnection` in interface `ISplitConnectionContext`
Returns:
  the connection

#### getShape

    public Shape getShape()

Description copied from interface: `ISplitConnectionContext`
Gets the shape.

Specified by:
  `getShape` in interface `ISplitConnectionContext`
Returns:
  the shape

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `DefaultContext`